Summary:	Screen layout editor for xrandr 1.2 (Another XRandR gui)
Name:		arandr
Version:	0.1.10
Release:	%mkrel 7
License:	GPLv3
Group:		System/X11
URL:		https://christian.amsuess.com/tools/arandr/
Source0:	https://christian.amsuess.com/tools/arandr/files/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(docutils)
Requires:	task-x11
Requires:	xrandr

%description
Provide a simple visual front end for XRandR 1.2, client
side X only (no xorg.conf involved, no pre-1.2 options).

Features

* Allow setting the primary output
* Full control over positioning (instead of plain "left of") with
  edge snapping
* Saving configurations as executable shell scripts (configurations
  can be loaded without using this program)
* Configuration files can be edited to include additional payload
  (like xsetwacom commands tablet PC users need when rotating), which
  is preserved when editing
* Metacity keybinding integration:
* Saved configurations can be bound to arbitrary keys via metacity
  custom commands.
* Several layouts can be bound to one key; they are cycled
  through. (Useful for "rotate" buttons on tablet PCs.)
* Main widget separated from packaged application (to facilitate
  integration with existing solutions)

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README TODO
%{python3_sitelib}/screenlayout
%{python3_sitelib}/*.egg-info

%{_bindir}/%{name}
%{_bindir}/unxrandr
%{_datadir}/applications/arandr.desktop
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/unxrandr.1*


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.1.10-7.mga9
+ Revision: 1831956
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 neoclust <neoclust> 0.1.10-6.mga9
+ Revision: 1774199
- Rebuild for python 3.10

* Sun Mar 21 2021 neoclust <neoclust> 0.1.10-5.mga9
+ Revision: 1706821
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1.10-4.mga8
+ Revision: 1535689
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 wally <wally> 0.1.10-3.mga8
+ Revision: 1452702
- drop unneeded pygtk2.0 requires

* Sat Sep 14 2019 daviddavid <daviddavid> 0.1.10-2.mga8
+ Revision: 1440726
- rebuild for python3.8

* Fri Apr 19 2019 kekepower <kekepower> 0.1.10-1.mga7
+ Revision: 1393633
- Update to version 0.1.10

* Tue Sep 18 2018 umeabot <umeabot> 0.1.9-5.mga7
+ Revision: 1260368
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.1.9-4.mga7
+ Revision: 1260097
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.1.9-3.mga7
+ Revision: 1259768
- Mageia 7 Mass Rebuild

* Tue Nov 08 2016 wally <wally> 0.1.9-2.mga6
+ Revision: 1065937
- don't install unneeded translatons (mga#19726)

* Sat Mar 12 2016 shlomif <shlomif> 0.1.9-1.mga6
+ Revision: 989608
- New version 0.1.9

* Fri Feb 19 2016 umeabot <umeabot> 0.1.8-2.mga6
+ Revision: 969145
- Mageia 6 Mass Rebuild

* Wed Aug 12 2015 ycantin <ycantin> 0.1.8-1.mga6
+ Revision: 864068
- new version 0.1.8

* Wed Oct 15 2014 umeabot <umeabot> 0.1.7.1-7.mga5
+ Revision: 744125
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.7.1-6.mga5
+ Revision: 725948
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.7.1-5.mga5
+ Revision: 677881
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.1.7.1-4.mga5
+ Revision: 628103
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.1.7.1-3.mga4
+ Revision: 542479
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.1.7.1-2.mga4
+ Revision: 497634
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Mar 09 2013 kamil <kamil> 0.1.7.1-1.mga3
+ Revision: 401971
- new version 0.1.7.1

* Fri Jan 11 2013 umeabot <umeabot> 0.1.6-2.mga3
+ Revision: 346006
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 sander85 <sander85> 0.1.6-1.mga3
+ Revision: 274551
- New version: 0.1.6

* Sun Apr 01 2012 kamil <kamil> 0.1.5-2.mga2
+ Revision: 227623
- add xrandr as a requirement

* Fri Nov 18 2011 boklm <boklm> 0.1.5-1.mga2
+ Revision: 169020
- update release tag
- imported package arandr


* Wed Nov 16 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.1.5-1
+ Revision: 731184
- imported package arandr

